//package cn.estsh.i3plus.core.apiservice.controller.busi;
//
//import cn.estsh.i3plus.core.api.iservice.base.ISysUserService;
//import cn.estsh.i3plus.platform.common.convert.ConvertBean;
//import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
//import cn.estsh.i3plus.pojo.base.enumutil.ResourceEnumUtil;
//import cn.estsh.i3plus.pojo.model.flatform.UserModel;
//import cn.estsh.i3plus.pojo.platform.bean.SysUser;
//import cn.estsh.impp.framework.boot.auth.AuthUtil;
//import cn.estsh.impp.framework.boot.exception.ImppBusiException;
//import cn.estsh.impp.framework.boot.exception.ImppExceptionEnum;
//import cn.estsh.impp.framework.boot.util.ResultBean;
//import cn.estsh.impp.framework.boot.util.ValidatorBean;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.web.bind.annotation.*;
//
//import java.util.List;
//
///**
// * @Description : 系统用户操作服务
// * @Reference :
// * @Author : wei.peng
// * @Date : 2018-10-25 21:46
// * @Modify :
// **/
//@RestController
//@RequestMapping("/user")
//@Api(description = "系统用户服务")
//public class SysUserController {
//
//    public static final Logger LOGGER = LoggerFactory.getLogger(TaskTimeController.class);
//
//    @Autowired
//    private ISysUserService sysUserService;
//
//
//    @PostMapping(value = "/insert")
//    @ApiOperation(value = "新增用户", notes = "新增系统用户")
//    public ResultBean insertSysUser(SysUser user,String[] departmentIds,String[] positionIds ,String[] roleIds) {
//        try {
//            /**
//             * 先插入  user
//             * 插入用户部门关系数据
//             *      冗余部门名称信息
//             * 插入用户岗位关系数据
//             *      冗余岗位名称信息
//             *      ...
//             */
//
////            // 用户基础信息校验
////            ValidatorBean.beginValid(model);
////
////            ValidatorBean.beginValid(model.getUser())
////                            .notNull("userLoginName",model.getUser().getUserLoginName())
////                            .notNull("userLoginPassword",model.getUser().getUserLoginPassword())
////                            .notNull("userEmpNo",model.getUser().getUserEmpNo())
////                            .notNull("userEmail",model.getUser().getUserEmail());
////
////            ValidatorBean.beginValid(model.getRole())
////                            .notNull("id",model.getRole().getId());
////
////            ValidatorBean.beginValid(model.getDepartment())
////                            .notNull("id",model.getDepartment().id);
////
////            ValidatorBean.beginValid(model.getPosition())
////                            .notNull("id",model.getPosition().getId());
////
////
////            model.getUser().setUserTypeId(CommonEnumUtil.USER_TYPE.USER.getValue());
////            model.getUser().setDepartmentId(model.getDepartment().getId());
////            model.getUser().setRoleId(model.getRole().getId());
////            model.getUser().setPositionId(model.getPosition().getId());
////
////            ConvertBean.modelInitialize(model.getUser(), AuthUtil.getSessionUser());
////
////            SysUser user = sysUserService.insertSysUserModel(model, AuthUtil.getSessionUser());
//
//            return ResultBean.success("操作成功")
//                    .setCode(ResourceEnumUtil.MESSAGE.SUCCESS.getCode())
//                    .setResultObject(user);
//        } catch (ImppBusiException busExcep) {
//            LOGGER.error(busExcep.getErrorMsg() + "：{}", busExcep.getErrorDetail(), busExcep);
//            return ResultBean.fail(busExcep.getErrorShow());
//        } catch (Exception e) {
//            LOGGER.error(ImppExceptionEnum.SYSTEM_EXCEPTION.getDescription() + "：{}", e.getMessage(), e);
//            return ResultBean.fail().setCode(ImppExceptionEnum.SYSTEM_EXCEPTION.getCode());
//        }
//    }
//
//    @PutMapping(value = "/update")
//    @ApiOperation(value = "修改用户", notes = "修改用户信息")
//    public ResultBean updateSysUser(UserModel model) {
//        try {
//            // 用户基础信息校验
//            ValidatorBean.beginValid(model);
//
//            ValidatorBean.beginValid(model.getUser())
//                    .notNull("id",model.getUser().getId())
//                    .notNull("userLoginName",model.getUser().getUserLoginName())
//                    .notNull("userLoginPassword",model.getUser().getUserLoginPassword())
//                    .notNull("userEmpNo",model.getUser().getUserEmpNo())
//                    .notNull("userEmail",model.getUser().getUserEmail());
//
//            ValidatorBean.beginValid(model.getRole())
//                    .notNull("id",model.getRole().getId());
//
//            ValidatorBean.beginValid(model.getDepartment())
//                    .notNull("id",model.getDepartment().id);
//
//            ValidatorBean.beginValid(model.getPosition())
//                    .notNull("id",model.getPosition().getId());
//
//
//            model.getUser().setUserTypeId(CommonEnumUtil.USER_TYPE.USER.getValue());
//            model.getUser().setDepartmentId(model.getDepartment().getId());
//            model.getUser().setRoleId(model.getRole().getId());
//            model.getUser().setPositionId(model.getPosition().getId());
//
//            ConvertBean.modelUpdate(model.getUser(), AuthUtil.getSessionUser());
//
//            sysUserService.updateSysUserModel(model, AuthUtil.getSessionUser());
//
//            return ResultBean.success("修改成功").setCode(ResourceEnumUtil.MESSAGE.SUCCESS.getCode());
//        } catch (ImppBusiException busExcep) {
//            LOGGER.error(busExcep.getErrorMsg() + "：{}", busExcep.getErrorDetail(), busExcep);
//            return ResultBean.fail(busExcep.getErrorShow()).build();
//        } catch (Exception e) {
//            return ResultBean.fail(e.getMessage()).setCode(ImppExceptionEnum.SYSTEM_EXCEPTION.getCode());
//        }
//    }
//
//    @GetMapping(value = "/list")
//    @ApiOperation(value = "查询所有用户", notes = "查询所有系统用户")
//    public ResultBean findAll() {
//        try {
//            List<SysUser> list = sysUserService.findSysUserAll();
//            return ResultBean.success("操作成功")
//                    .setCode(ResourceEnumUtil.MESSAGE.SUCCESS.getCode())
//                    .setResultList(list);
//        } catch (ImppBusiException busExcep) {
//            LOGGER.error(busExcep.getErrorMsg() + "：{}", busExcep.getErrorDetail(), busExcep);
//            return ResultBean.fail(busExcep.getErrorShow());
//        } catch (Exception e) {
//            LOGGER.error(ImppExceptionEnum.SYSTEM_EXCEPTION.getDescription() + "：{}", e.getMessage(), e);
//            return ResultBean.fail().setCode(ImppExceptionEnum.SYSTEM_EXCEPTION.getCode());
//        }
//    }
//
//    @DeleteMapping(value = "/delete")
//    @ApiOperation(value = "删除定时任务", notes = "删除定时任务")
//    public ResultBean delete(String id) {
//        try {
//            // 数据校验
//            ValidatorBean.checkNotNull(id, "用户id 不能为空");
//
//            sysUserService.deleteSysUserById(id);
//            return ResultBean.success().setCode(ResourceEnumUtil.MESSAGE.SUCCESS.getCode());
//        } catch (ImppBusiException busExcep) {
//            LOGGER.error(busExcep.getErrorMsg() + "：{}", busExcep.getErrorDetail(), busExcep);
//            return ResultBean.fail(busExcep.getErrorShow());
//        } catch (Exception e) {
//            LOGGER.error(ImppExceptionEnum.SYSTEM_EXCEPTION.getDescription() + "：{}", e.getMessage(), e);
//            return ResultBean.fail().setCode(ImppExceptionEnum.SYSTEM_EXCEPTION.getCode());
//        }
//    }
//
//
//
//}
